IBM Support

Overview - IBM Storage Protect Supported Operating Systems

Question & Answer


Question

Which operating system levels are supported by the IBM Storage Protect™ server and IBM Storage Protect backup-archive client?

Answer

For system requirements for previous product versions, see Overview - Tivoli Storage Manager Supported Operating Systems. It provides information about the following releases:

  • Tivoli Storage Manager server 6.4 and 7.1 releases
  • Tivoli Storage Manager backup-archive client 6.4 and 7.1 releases

Note: IBM Spectrum Protect and IBM Tivoli Storage Manager 7.1 reached end of support (EOS) at 31 December 2021. See also IBM Spectrum Protect and Tivoli Storage Manager 7.1 products End of Support 31 December 2021.


 

Note: The product now known as IBM Storage Protect was named IBM Spectrum Protect in levels earlier than 8.1.19. To learn more about the brand change, see IBM Spectrum brand change to IBM Storage.

Server operating systems Backup-archive client operating systems
AIX
Linux x86_64
Linux on Power Systems (little endian)
Linux zSeries
Windows
AIX
HP-UX Itanium
Linux on POWER
Linux on POWER LE
Linux x86_64
Linux zSeries
Macintosh
Solaris SPARC
Solaris x86_64
Windows
Storage agent requirements Operations Center requirements
For IBM Spectrum Protect storage agent requirements, click here For IBM Spectrum Protect Operations Center requirements, click here


 

The following table provides an overview of the operating system levels are supported by the IBM Storage Protect backup-archive client. For the most current details about each component's operating system support, including hardware requirements, click the operating system name in the Operating system column.

To determine which IBM Storage Protect backup-archive client to use when you plan to upgrade, see IBM Storage Protect Downloads - Latest fix packs and interim fixes

The IBM Storage Protect server administrator can automatically deploy a backup-archive client to update workstations where the backup-archive client is already installed. For more information, see Automatic backup-archive client deployment. 
Note: all backup-archive clients listed in the following table can also be automatically deployed.

Operating system

Click the name in the table for detailed requirements
IBM Storage Protect backup-archive client

Release 8.1
Latest fix pack 8.1.21
AIX AIX 7.1 TL0-TL3 (Supported in 8.1.0 - 8.1.10)
AIX 7.1 TL4 or later fix pack levels
AIX 7.2 or later fix-pack levels (64-bit kernel)
AIX 7.3 or later fix-pack levels (64-bit kernel)(Beginning with 8.1.15)
Note: 
  1. AIX levels plus required minimum level of xlC.rte file set
  2. As in APAR IT35286: Because of security fixes, the operating levels AIX 7.1 TL0-TL3 (xlc.rte < 13.0) are not longer supported by IBM Spectrum Protect backup-archive client 8.1.11 and later levels.
HP-UX Itanium HP-UX 11i V3 for Itanium 2 64-bit
Note: For 8.1, only the HP-UX IA-64 Itanium API is delivered.
Linux on POWER SUSE Linux Enterprise Server 11 (64 bit) (see note 3)
Red Hat Enterprise Linux 6 (64 bit) (see note 3)
Red Hat Enterprise Linux 7 (64 bit)
Note:
  1. Later maintenance levels and service packs are also supported.
  2. For 8.1, only the Linux on Power big endian API is delivered.
  3. Beginning with IBM Spectrum Protect backup-archive client level 8.1.19, the operating system RHEL 6 and SLES 11 are no longer supported, see APAR IT44180.
Linux on POWER LE SUSE Linux Enterprise Server 12 (64 bit)
SUSE Linux Enterprise Server 15 (64-bit) (Beginning with 8.1.6)
Red Hat Enterprise Linux 7 (64 bit)
Red Hat Enterprise Linux 8 (64 bit) (Beginning with 8.1.9)
Red Hat Enterprise Linux 9 (64 bit) (Beginning with 8.1.15)
Ubuntu 14.04 LTS
Ubuntu 16.04 LTS
Ubuntu 18.04 LTS (Beginning with 8.1.6)
Ubuntu 20.04 LTS (Beginning with 8.1.10)
Note:
  1. Later maintenance levels and service packs are also supported.
  2. For RHEL 7.8 and RHEL 8, see APAR IT33132.
Linux x86_64 SUSE Linux Enterprise Server 11 (64-bit) (see note 3)
SUSE Linux Enterprise Desktop 11 (64-bit) (see note 3)
SUSE Linux Enterprise Server 12 (64-bit)
SUSE Linux Enterprise Server 15 (64-bit) (Beginning with 8.1.6)
Red Hat Enterprise Linux 6 (64-bit) (see note 3)
Red Hat Enterprise Linux 7 (64-bit)
Red Hat Enterprise Linux 8 (64-bit) (Beginning with 8.1.9)
Red Hat Enterprise Linux 9 (64-bit) (Beginning with 8.1.15)
 
Ubuntu 14.04 LTS
Ubuntu 16.04 LTS
Ubuntu 18.04 LTS (Beginning with 8.1.6)
Ubuntu 20.04 LTS (Beginning with 8.1.10)
Ubuntu 22.04 LTS (Beginning with 8.1.15)
Note:
  1. Later maintenance levels and service packs are also supported.
  2. For RHEL 7.8 and RHEL 8, see APAR IT33132.
  3. Beginning with IBM Spectrum Protect backup-archive client level 8.1.19, the operating system RHEL 6 and SLES 11 are no longer supported, see APAR IT44180.
Linux zSeries SUSE Linux Enterprise Server 11 (64-bit)
SUSE Linux Enterprise Server 12 (64-bit)
SUSE Linux Enterprise Server 15 (64-bit) (Beginning with 8.1.6)
Red Hat Enterprise Linux 6 (64-bit)
Red Hat Enterprise Linux 7 (64-bit)
Red Hat Enterprise Linux 8 (64-bit) (Beginning with 8.1.9)
Red Hat Enterprise Linux 9 (64-bit) (Beginning with 8.1.15)
Note:
  1. Later maintenance levels and service packs are also supported.
  2. For RHEL 7.8 and RHEL 8, see APAR IT33132.
  3. Beginning with IBM Spectrum Protect backup-archive client level 8.1.19, the operating system RHEL 6 and SLES 11 are no longer supported, see APAR IT44180.
Macintosh macOS 10.14 (Mojave) (Beginning with 8.1.6)
macOS 10.15 (Catalina) (Beginning with 8.1.9.1)
macOS 11 (Big Sur) (Beginning with 8.1.12)
macOS 12 (Monterey) (Beginning with 8.1.13)
macOS 13 (Ventura) (Beginning with 8.1.19)
macOS 14 (Sonoma) (Beginning with 8.1.21)
Note: Apple changes their Macintosh security model and requires that any software, which is running on their operating systems, is signed and notarized by Apple. Due of these changes, IBM Spectrum Protect backup-archive client 8.1.10 and later supports macOS 10.14 and later.
Note: Beginning with GSKit 8.0.55.17, GSKit provide 64 bit signed and notarized packages to support macOS 10.14.5 and later. For that reason IBM Spectrum Protect backup-archive client 8.1.11 and later support started with macOS 10.14.5.

 
If you are using the following operating systems, use IBM Spectrum Protect backup-archive client 8.1.9:
OS X 10.11 (Beginning with 8.1.0)
macOS 10.12 (Beginning with 8.1.0)
macOS 10.13 (Beginning with 8.1.2)
Solaris SPARC Solaris 10 (64 bit) update 1 or later updates
Solaris 11 (64 bit) or later updates
Note: For 8.1, only the Oracle Solaris SPARC API is delivered.
Solaris x86_64 Solaris 10 (64 bit)
Solaris 11 (64 bit)
Windows Note: For all x64 editions (with Automated System Recovery (ASR) for Extensible Firmware Interface (EFI) and non-EFI systems), see the limitations on the detailed requirements page.
Windows Server 2012, all x64 editions
Windows Server 2012 R2, all x64 editions
Windows 2016 Server(*), all x64 editions
Windows 2019 Server(*), all x64 editions (Beginning with 8.1.7)
Windows 2022 Server(*), all x64 editions (Beginning with 8.1.13)
Windows 8.1, all x64 editions
Windows 10(*), all x64 editions except Mobile
Windows 11(*), all x64 editions except Mobile (Beginning with 8.1.13)
(*) only Long-Term Servicing Channel (LTSC) products are supported.




 

Related Information

[{"Line of Business":{"code":"LOB69","label":"Storage TPS"},"Business Unit":{"code":"BU048","label":"IBM Software"},"Product":{"code":"SSEGHY","label":"IBM Storage Protect"},"ARM Category":[{"code":"a8m3p000000hAZoAAM","label":"B\/A Client"},{"code":"a8m3p000000hAZuAAM","label":"Server"}],"Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"All Versions","Type":"MASTER"},{"Type":"MASTER","Line of Business":{"code":"LOB69","label":"Storage TPS"},"Business Unit":{"code":"BU048","label":"IBM Software"},"Product":{"code":"SSEQVQ","label":"IBM Spectrum Protect"},"ARM Category":[{"code":"a8m3p000000hAZoAAM","label":"B\/A Client"},{"code":"a8m3p000000hAZuAAM","label":"Server"}],"Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"All Versions"}]

Document Information

Modified date:
20 June 2024

UID

swg21243309